/*****************************************************************
"Приведение размера страницы к размеру выделенных объектов"
page2select_bleedNo.jsx

Особенность: группирует выделеные объекты

Автор: Андрей Рыжков (ragman)

07.10.2005г.
12.11.2007г. - переименован :)
*****************************************************************/

with (app) {
	myDoc = activeDocument;
	myPage = selection[0].parent; 
	if ((selection.length == 1)&&(selection[0].constructor.name == 'Group')) {
		myGroup = selection[0];
	}
	else {
		myGroup = myPage.groups.add(selection); 
	}
	//visibleBounds [y1, x1, y2, x2]
	myBound = myGroup.visibleBounds;
	h = myBound[2] - myBound[0];
	w = myBound[3] - myBound[1];
	myDoc.documentPreferences.pageHeight = h;
	myDoc.documentPreferences.pageWidth = w;
	myDoc.zeroPoint = [0,0];
	myGroup.move([0, 0]);
}
//********************************************