/*****************************************************************
"Приведение размера страницы к размеру выделенных объектов"
page2select_bleedYes.jsx

Особенность: группирует выделеные объекты

Автор: Андрей Рыжков (ragman)

07.10.2005г.
12.11.2007г. - добавлен учет Bleed

*****************************************************************/

with (app) {
	myDoc = activeDocument;
	myPage = selection[0].parent; 
	if ((selection.length == 1)&&(selection[0].constructor.name == 'Group')) {
		myGroup = selection[0];
	}
	else {
		myGroup = myPage.groups.add(selection); 
	}
	//visibleBounds [y1, x1, y2, x2]
	myBound = myGroup.visibleBounds;
	h = myBound[2] - myBound[0];
	w = myBound[3] - myBound[1];
	myDoc.documentPreferences.pageHeight = h-myDoc.documentPreferences.documentBleedBottomOffset-myDoc.documentPreferences.documentBleedTopOffset;
	myDoc.documentPreferences.pageWidth = w-myDoc.documentPreferences.documentBleedInsideOrLeftOffset-myDoc.documentPreferences.documentBleedOutsideOrRightOffset;
	myDoc.zeroPoint = [0,0];
	myGroup.move([myDoc.documentPreferences.documentBleedInsideOrLeftOffset*(-1), myDoc.documentPreferences.documentBleedTopOffset*(-1)]);
}
//********************************************